Subject: Re: strange things...

From: "Malla, Suman" <[email-masked]>
Date: Wed, 19 Nov 1997 12:32:30 +0100 (MET)

On Wed, 19 Nov 1997, H.W.K.Robers wrote:

> > 
> > Hello all,
> > 
> > OS: Red Hat 4.2
> > WU-ftpd version: wu-ftpd-2.4.2b15-1
> > 
> > When I originate the ftp session from Sun Solaris machines to my red hat
> > with newly installed wu-ftpd and supply "ls" command, the wu-ftpd shows me
> > the list of filenames. But, if I do ftp from other machines, the wu-ftpd
> > does not show the list of files. Any idea? I think some lib files (which 
> > need to put under ~ftp/lib/) are missing. Will someone pls send me a list 
> > of files that should be kept under ~ftp/lib/?
> 
> /home/ftp/lib$ ll
> total 774
> drwxr-xr-x   2 root     root         1024 Jun 27  1996 .
> drwxr-xr-x   8 root     root         1024 Jun 23 13:01 ..
> -rwxr-xr-x   1 root     root        21367 Feb 26  1996 ld-linux.so.1
> -rwxr-xr-x   1 root     root        21367 Feb 26  1996 ld-linux.so.1.7.14
> -rwxr-xr-x   1 root     root        24580 Feb 26  1996 ld.so
> -rwxr-xr-x   1 root     root        24580 Feb 26  1996 ld.so.1.7.14
> lrwxrwxrwx   1 root     root           14 Jun 27  1996 libc.so.5 -> libc.so.5.2.18
> -rwxrwxr-x   1 root     root       675187 Feb 26  1996 libc.so.5.2.18
> lrwxrwxrwx   1 root     root           19 Jun 27  1996 libtermcap.so.2 -> libtermcap.so.2.0.5
> -rwxrwxr-x   1 bin      bin         11391 Feb 26  1996 libtermcap.so.2.0.5

Except libc.so.5.2.18 (I have libc.so.5.2.12), I have copied all the 
files under ~ftp/lib. But, still it doesn't show the list of files.
The list of files under ~ftp/

----------
bin:
total 52
d--x--x--x   2 root     root         1024 Nov 18 13:13 .
drwxr-xr-x  12 root     root         1024 Nov 19 14:22 ..
---x--x--x   2 root     root        49432 Nov 18 13:13 ls

etc:
total 4
d--x--x--x   2 root     root         1024 Nov 18 17:21 .
drwxr-xr-x  12 root     root         1024 Nov 19 14:22 ..
-rw-r--r--   1 root     root           32 Nov 18 17:21 group
-rw-r--r--   1 root     root           64 Nov 18 13:21 passwd

lib:
total 805
drwxrwxr-x   2 root     root         1024 Nov 19 14:16 .
drwxr-xr-x  12 root     root         1024 Nov 19 14:22 ..
-rwxr-xr-x   1 root     root        21367 Nov 19 14:13 ld-linux.so.1
-rwxr-xr-x   1 root     root        21367 Nov 19 14:13 ld-linux.so.1.7.14
-rwxr-xr-x   1 root     root        24580 Nov 19 14:14 ld.so
-rwxr-xr-x   1 root     root        24580 Nov 18 16:33 ld.so.1.7.14
lrwxrwxrwx   1 root     root           14 Nov 19 14:15 lib.so.5 -> libc.so.5.3.12
-rwxr-xr-x   1 root     root       706960 Nov 18 16:34 libc.so.5.3.12
lrwxrwxrwx   1 root     root           19 Nov 19 14:16 libtermcap.so.2 -> libtermcap.so.2.0.5
-rwxr-xr-x   1 root     root        11419 Nov 19 14:15 libtermcap.so.2.0.5

msg:
total 3
d--x--x--x   2 root     root         1024 Nov 18 16:43 .
drwxr-xr-x  12 root     root         1024 Nov 19 14:22 ..
-rw-r--r--   1 root     root           26 Nov 18 16:43 .welcome.msg

test:
total 16
drwxrwxr-x   4 test     test         1024 Nov 18 15:20 .
drwxr-xr-x  12 root     root         1024 Nov 19 14:22 ..
-rw-r--r--   1 test     test         3785 Aug 23  1996 .Xdefaults
-rw-r--r--   1 test     test           24 Jul 14  1994 .bash_logout
-rw-r--r--   1 test     test          220 Aug 23  1995 .bash_profile
-rw-r--r--   1 test     test          124 Aug 23  1995 .bashrc
drwxr-xr-x   2 test     test         1024 Nov 10 23:18 .xfm
drwxrwxr-x   2 test     test         1024 Nov 18 15:20 1
-rw-r--r--   1 test     test         4736 Nov 18 15:17 j1

where, test is a test account that I am using to check "ls" command. 

TIA.

Rgds,
Suman Malla